#ctc_render

import pygame, pygbutton, sys, os
from pygame.locals import *

pygame.init()

#Remember to make a HELP/HOW TO PLAY screen

class Draw:
    """Class for Drawing actions using pygame."""
    def __init__(self, size_x=800, size_y=600):

        self.tile_size = 25 #pixel size of individual spaces
        self.screen_x = size_x
        self.screen_y = size_y
        #eventually want to switch this from hardcoded to dynamic

        self.BLACK = (0, 0, 0)
        self.WHITE = (255, 255, 255)
        self.RED = (255, 0, 0)
        self.GREEN = (0, 255, 0)
        self.BLUE = (0, 60, 255)
        self.BROWN = (108, 40, 5)
        self.GRAY = (115, 115, 115)

    def init_Window(self):
        """Opens the window and prepares some settings."""
        self.screen = pygame.display.set_mode((self.screen_x, self.screen_y), 0, 32)
        pygame.display.set_caption('Conquer the Castle')

    def draw_Screen(self, screen_Image):
        """Places whatever is in screen_image into the window."""

        self.screen.blit(screen_Image, screen_Image.get_rect())
        pygame.display.flip()


