#Class for defining terrains and their effects

import pygame
from pygame.locals import *

class Terrain_Type:
	"""Holds the basic information for each terrain"""
	def __init__ (self, ID, type_Name, move_Pen, range_Bon, armor_Bon):
		
		self.ID = ID
		self.type_Name = type_Name
		self.move_Pen = move_Pen
		self.range_Bon = range_Bon
		self.armor_Bon = armor_Bon

plains = Terrain_Type(0, 'plains', 0, 0, 0)
rough = Terrain_Type(1, 'rough', 1, 0, 0)
forest = Terrain_Type(2, 'forest', 1, -1, 2)
hills = Terrain_Type(3, 'hills', 1, 1, 0)
mountain = Terrain_Type(4, 'mountain', 2, 1, 1)

ALL_TERRAIN = [plains, rough, forest, hills, mountain]
